Subject: Offline Message from Aisha Alrukaibi : Hi I need an update about my delivery
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 28 Jun 2020 09:45:02 -0000

From: Aisha Alrukaibi  <[email-masked]>
Phone: 
Location: Kuwait City, Kuwait
URL: https://www.mumzworld.com/en/trackhistory/track/shipmenttrack/id/M245KzlPczNlU2M3REdvYnNjVy9Kdz09/
Department: 

Hi I need an update about my delivery order#600879743 it shows in the UPS website that it arrives in Kuwait 11 days ago and I contacted UPS almost everyday and the never answer their phone and emails our government restrictions doesn’t effect there working hours and i can understand a 5 days delay but 11 is too much . I hope you can provide with an answer at least

----
Zopim
https://www.zopim.com